[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSignalState

State of the signal handler (unix only)

## Declaration

Source position: sysutils.pp line 76

`type TSignalState = (`
`ssNotHooked,` |  | No signal handler is set for the signal.
`ssHooked,` |  | A signal handler is set by the RTL code for the signal.
`ssOverridden` |  | A signal handler was set for the signal by third-party code.
`);`

## Description

TSignalState indicates the state of a signal handler in a unix system for a particular signal.

## See also

InquireSignal |  | Check whether a signal handler is set (unix only)